Skip to navigation

Validate a sender using OTP

View as Markdown

Validates a sender using the OTP (One-Time Password) received via email.

Use this to:

  • Complete sender verification process
  • Activate a newly created sender
  • Verify ownership of the sender email address
  • Enable the sender for use in email campaigns

Key information returned:

  • Success confirmation of sender verification
  • Sender activation status

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

OR
AuthorizationBearer

OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.

Path parameters

senderIdlongRequired
Id of the sender

Request

OTP verification code
otpintegerRequired100000-999999
6 digit OTP received on email

Response

Sender verified successfully

Errors

400
Bad Request Error
404
Not Found Error